<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{unitBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ثبت سازمان</title>



    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>
        <p:fieldset legend="ثبت سازمان" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="مشخصات سازمان" style="margin-bottom:20px" >
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >
                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText  value="#{unitBean.unitEntity.name}"/>

                        <p:outputLabel value="کد سازمان:"/>
                        <p:inputText  value="#{unitBean.unitEntity.unitNumber}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                        <p:outputLabel value="وظایف سازمان:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{unitBean.unitEntity.duties}"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{unitBean.insert}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>
                </p:fieldset>

                <p:fieldset legend=" نمایش سازمان" style="margin-bottom:20px">


                    <p:fieldset legend="جستجوی سازمان">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="sedirtemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="کد سازمان:" style="margin-left: 5px;"/>
                                <p:inputText value="#{unitBean.searchUnitCode}" id="nameqwSeearch" />

                                <p:commandButton id="searchqButton3" value="جستجو"
                                                 actionListener="#{unitBean.searchUnit}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:spacer height="10"/>

                    <p:panel styleClass="searchBox">

                        <p:panelGrid id="empEtdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                            <p:outputLabel value="نام سازمان:"/>
                            <p:inputText  value="#{unitBean.searchUnitEntity.name}" disabled="true"/>

                            <p:outputLabel value="کد سازمان:"/>
                            <p:inputText  value="#{unitBean.searchUnitEntity.unitNumber}" disabled="true" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                            <p:outputLabel value="وظایف سازمان:"/>
                            <p:inputTextarea rows="6" cols="33" value="#{unitBean.searchUnitEntity.duties}" disabled="true"/>
                        </p:panelGrid>
                    </p:panel>
                    <p:spacer height="10"/>


                </p:fieldset>

            <p:fieldset legend=" ویرایش سازمان" style="margin-bottom:20px">


                <p:fieldset legend="جستجوی سازمان">

                    <p:panel styleClass="searchBox">
                        <p:panelGrid id="seditemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                            <p:outputLabel value="کد سازمان:" style="margin-left: 5px;"/>
                            <p:inputText value="#{unitBean.editUnitCode}" id="nameqSeearch" />

                            <p:commandButton id="searchButton3" value="جستجو"
                                             actionListener="#{unitBean.searchUnitForEdit}"
                                             update="@form">
                            </p:commandButton>
                        </p:panelGrid>
                    </p:panel>
                    <p:spacer height="10"/>

                </p:fieldset>
                <p:spacer height="10"/>

                <p:panel styleClass="searchBox">

                    <p:panelGrid id="empEdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText  value="#{unitBean.editUnitEntity.name}" readonly="true"/>

                        <p:outputLabel value="کد سازمان:"/>
                        <p:inputText  value="#{unitBean.editUnitEntity.unitNumber}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                        <p:outputLabel value="وظایف سازمان:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{unitBean.editUnitEntity.duties}"/>
                    </p:panelGrid>
                </p:panel>
                <p:spacer height="10"/>

                <p:panel styleClass="buttonBox">
                    <p:commandButton value="ویرایش" actionListener="#{unitBean.editUnit}"
                                     update=":addForm">
                    </p:commandButton>
                    <p:commandButton value="حذف" actionListener="#{unitBean.deleteUnit}"
                                     update=":addForm">
                    </p:commandButton>
                </p:panel>
            </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
